com.ihr.xbrl.mapper.instance

## Interface MapperContext

- All Superinterfaces:
    java.lang.Cloneable
  All Known Implementing Classes:
    MapperContext2, MapperContext3, MapperContextBase

      public interface MapperContext
      extends java.lang.Cloneable

  The Interface MapperContext.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MapperContext` | `clone()` Clone.
    `boolean` | `equals(java.lang.Object other)` Equals.
    `void` | `fixUpSegmentAndScenario()` Fix up segment and scenario.
    `org.jdom.Element` | `generateNode(boolean relativize, java.net.URI base)` Generate node.
    `DTSContainer` | `getContainer()` Gets the container.
    `XBRLEntity` | `getEntity()` Gets the entity.
    `java.lang.String` | `getId()` Gets the id.
    `MapperBase` | `getMapper()` Gets the mapper.
    `java.lang.String` | `getOrGenerateId()` Gets the or generate id.
    `MapperPeriod` | `getPeriod()` Gets the period.
    `XBRLScenario` | `getScenario()` Gets the scenario.
    `XBRLContext` | `getXBRLContext()` Gets the XBRL context.
    `int` | `hashCode()` Hash code.
    `void` | `setId(java.lang.String id)` Sets the id.
    `void` | `setPeriod(MapperPeriod period)` Sets the period.
    `void` | `setScenario(XBRLScenario scenario)` Sets the scenario.

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      Gets the id.
      Returns:
        the id

    - #### generateNode

          org.jdom.Element generateNode(boolean relativize,
                                      java.net.URI base)
                                        throws XBRLSerializationException

      Generate node.
      Parameters:
        `relativize` - the relativize
        `base` - the base
      Returns:
        the element
      Throws:
        `XBRLSerializationException` - the XBRL serialization exception

    - #### getEntity

          XBRLEntity getEntity()

      Gets the entity.
      Returns:
        the entity

    - #### getScenario

          XBRLScenario getScenario()

      Gets the scenario.
      Returns:
        the scenario

    - #### setId

          void setId(java.lang.String id)
                     throws XBRLInconsistentDTSException

      Sets the id.
      Parameters:
        `id` - the new id
      Throws:
        `XBRLInconsistentDTSException` - the XBRL inconsistent dts exception

    - #### getXBRLContext

          XBRLContext getXBRLContext()

      Gets the XBRL context.
      Returns:
        the XBRL context

    - #### getOrGenerateId

          java.lang.String getOrGenerateId()

      Gets the or generate id.
      Returns:
        the or generate id

    - #### getPeriod

          MapperPeriod getPeriod()

      Gets the period.
      Returns:
        the period

    - #### getMapper

          MapperBase getMapper()

      Gets the mapper.
      Returns:
        the mapper

    - #### setScenario

          void setScenario(XBRLScenario scenario)

      Sets the scenario.
      Parameters:
        `scenario` - the new scenario

    - #### setPeriod

          void setPeriod(MapperPeriod period)

      Sets the period.
      Parameters:
        `period` - the new period

    - #### equals

          boolean equals(java.lang.Object other)

      Equals.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `other` - the other
      Returns:
        true, if successful

    - #### hashCode

          int hashCode()

      Hash code.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        the int

    - #### clone

          MapperContext clone()

      Clone.
      Returns:
        the mapper context

    - #### getContainer

          DTSContainer getContainer()

      Gets the container.
      Returns:
        the container

    - #### fixUpSegmentAndScenario

          void fixUpSegmentAndScenario()

      Fix up segment and scenario.